Package writer2xhtml.api

# Interface ConverterResult

public interface ConverterResult
A `ConverterResult` represent a document, which is the result of a conversion performed by a `Converter`implementation.

## Method Summary

Modifier and Type
Method
Description
`ContentEntry`
`getBibliographyFile()`
Get the entry which contains the bibliography
`List<ContentEntry>`
`getContent()`
Get the content table (based on headings) for this `ConverterResult`
`ContentEntry`
`getCoverFile()`
Get the entry which contains the cover (which usually will contain a cover image)
`ContentEntry`
`getCoverImageFile()`
Get the entry which contains the actual cover image
`ContentEntry`
`getIndexFile()`
Get the entry which contains the alphabetical index
`ContentEntry`
`getLofFile()`
Get the entry which contains the list of figures
`ContentEntry`
`getLotFile()`
Get the entry which contains the list of tables
`OutputFile`
`getMasterDocument()`
Deprecated.
`MetaData`
`getMetaData()`
Get the meta data associated with the source document
`List<ContentEntry>`
`getOriginalPageNumbers()`
Get the original page numbers (if exported) for this `ConverterResult`
`ContentEntry`
`getTextFile()`
Get the entry which contains the start of the actual text (the first chapter, or simply the start of the document if there are no headings)
`ContentEntry`
`getTitlePageFile()`
Get the entry which contains the table page
`ContentEntry`
`getTocFile()`
Get the entry which contains the table of contents
`Iterator<OutputFile>`
`iterator()`
Gets an `Iterator` to access all files in the `ConverterResult`.
`void`
`write(File dir)`
Write all files of the `ConverterResult` to a directory.

## Method Details

### getMasterDocument

@Deprecated OutputFile getMasterDocument()
Deprecated.
Get the master document Deprecated as of Writer2LaTeX 1.2: The master document is always the first document returned by the `iterator`

Returns:
  `OutputFile` the master document

### iterator

Iterator<OutputFile> iterator()
Gets an `Iterator` to access all files in the `ConverterResult`. The iterator will return the master documents first in logical order (starting with the primary master document)

Returns:
  an `Iterator` of all files

### getMetaData

MetaData getMetaData()
Get the meta data associated with the source document

Returns:
  the meta data

### getContent

List<ContentEntry> getContent()
Get the content table (based on headings) for this `ConverterResult`

Returns:
  list view of the content

### getTitlePageFile

ContentEntry getTitlePageFile()
Get the entry which contains the table page

Returns:
  the entry or null if there is no title page

### getTextFile

ContentEntry getTextFile()
Get the entry which contains the start of the actual text (the first chapter, or simply the start of the document if there are no headings)

Returns:
  the entry

### getTocFile

ContentEntry getTocFile()
Get the entry which contains the table of contents

Returns:
  the entry or null if a table of content does not exist

### getLotFile

ContentEntry getLotFile()
Get the entry which contains the list of tables

Returns:
  the entry or null if a list of tables does not exist

### getLofFile

ContentEntry getLofFile()
Get the entry which contains the list of figures

Returns:
  the entry or null if a list of figures does not exist

### getIndexFile

ContentEntry getIndexFile()
Get the entry which contains the alphabetical index

Returns:
  the entry or null if an alphabetical index does not exist

### getBibliographyFile

ContentEntry getBibliographyFile()
Get the entry which contains the bibliography

Returns:
  the entry or null if a bibliography does not exist

### getCoverFile

ContentEntry getCoverFile()
Get the entry which contains the cover (which usually will contain a cover image)

Returns:
  the entry or null if a cover does not exist

### getCoverImageFile

ContentEntry getCoverImageFile()
Get the entry which contains the actual cover image

Returns:
  the entry or null if a cover image does not exist

### getOriginalPageNumbers

List<ContentEntry> getOriginalPageNumbers()
Get the original page numbers (if exported) for this `ConverterResult`

Returns:
  list view of the content

### write

void write(File dir) throws IOException
Write all files of the `ConverterResult` to a directory. Subdirectories are created as required by the individual `OutputFile`s.

Parameters:
  `dir` - the directory to write to (this directory must exist). If the parameter is null, the default directory is used
Throws:
  `IOException` - if the directory does not exist or one or more files could not be written